Subject: Re: Heirarchical error codes

From: Doug Royer <[email-masked]>
Date: Sun, 4 Apr 1999 14:10:12 -0700 (PDT)

> Date: Sun, 04 Apr 1999 14:52:35 +0000
> From: John Stracke <[email-masked]>
> 
> Doug Royer wrote:
> 
> > > Date: Mon, 29 Mar 1999 19:44:43 +0000
> > > From: John Stracke <[email-masked]>
> > >
> > > Frank Dawson wrote:
> > >
> > > > What scenario did you have in mind that necessitated the CUA to also 
specify
> > > > it's capabilities?
> > >
> > > "I cannot render non-Latin1 text"?
> >
> > As there were not any Latin1 text messages defined,
> > I am not sure what your need is.
> 
> There's human-composed, user-visible text in the message, which means that
> the CUA needs to consider whether the user is going to be able to read the
> incoming message.  An advanced CS might be capable of storing multiple
> versions of the text, and picking out the one to send to the CUA--but only
> if it can find out what languages the user can read, and what character
> sets the CUA can display.

The iCalendar object default charset is UTF-8. 

I would hope that a CS should be able to charset convert to UTF-8 on
the way in or out of the CS. I would also hope that all CUAs MUST be
able to handle UTF-8.

As for languages, there is no way to store multiple LANG 'DESCRIPTION'
or 'SUMMARY'.

I think the best that can occur is if all CUAs MUST be able to handle
UTF-8, and they must ask for anything other than UTF-8. A user might
not be able to understand the text as sent to the CS, but the CUA MUST
be able to understand the UTF-8 text.

-Doug
-------------------------------------------------------------------
[email-masked]		http://playground.sun.com/~dougr
801 W. El Camino #131		Work:   (650)786-7599
Mountain View, CA 94040		Ham Radio: N6AAW, Aviation: PP-ASEL

---

From: John Stracke <[email-masked]>
Date: Mon, 05 Apr 1999 16:10:11 +0000

(Clarification: when I referred to Latin1 text, I didn't mean the encoding, I
meant the characters themselves, regardless of how they're encoded.)

> As for languages, there is no way to store multiple LANG 'DESCRIPTION'

(a) Sure there is--the protocol may not specify a way to transport them, but
you can store whatever you want.

(b) I suspect that iMIP might be able to express it with multipart/alternative
(you wouldn't necessarily want to send it to someone unless you know they can
handle it, since m/a isn't a mandatory part of MIME; but it can be done).

> A user might

Not going to happen--the CUA can handle it internally, sure, but most of the
computers in the world simply do not have the fonts to render every single
character in Unicode.

--
/=============================================================\
|John Stracke    | My opinions are my own | S/MIME & HTML OK  |
[email-masked]|============================================|
|Chief Scientist | NT's lack of reliability is only surpassed |
|eCal Corp.      |  by its lack of scalability. -- John Kirch |
\=============================================================/